ICU 76.1: U_HEADER_ONLY_NAMESPACE::USetElementIterator Class Reference

ICU 76.1 76.1

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetElementIterator Class Reference

Iterator returned by USetElements. More...

`#include <uset.h>`

## Public Member Functions
| USetElementIterator (const USetElementIterator &other)=default
bool | operator== (const USetElementIterator &other) const
bool | operator!= (const USetElementIterator &other) const
UnicodeString | operator* () const
USetElementIterator & | operator++ ()
| Pre-increment.
USetElementIterator | operator++ (int)
| Post-increment.

## Friends
class | USetElements

## Detailed Description

Iterator returned by USetElements.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1745 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetElementIterator()

U_HEADER_ONLY_NAMESPACE::USetElementIterator::USetElementIterator | ( | const USetElementIterator & | other | ) |
| default

Draft
  This API may be changed in the future versions and was introduced in ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator!= | ( | const USetElementIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1760 of file uset.h.

References operator==().

## ◆ operator*()

UnicodeString U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator* | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1763 of file uset.h.

References uset_getString().

## ◆ operator++() [1/2]

USetElementIterator & U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1780 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, and uset_getItem().

Referenced by operator++().

## ◆ operator++() [2/2]

USetElementIterator U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1805 of file uset.h.

References operator++().

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator== | ( | const USetElementIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1751 of file uset.h.

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ USetElements

friend class USetElements
| friend

Definition at line 1812 of file uset.h.

The documentation for this class was generated from the following file:

- common/unicode/uset.h